Package com.beust.jcommander.converters

# Class BigDecimalConverter

java.lang.Object
com.beust.jcommander.converters.BaseConverter<BigDecimal>
com.beust.jcommander.converters.BigDecimalConverter

All Implemented Interfaces:
  `IStringConverter<BigDecimal>`

public class BigDecimalConverter extends BaseConverter<BigDecimal>
Converts a String to a BigDecimal.

## Constructor Summary

Constructors
Constructor
Description
`BigDecimalConverter(String optionName)`

## Method Summary

Modifier and Type
Method
Description
`BigDecimal`
`convert(String value)`

### Methods inherited from class com.beust.jcommander.converters.BaseConverter

`getErrorString, getOptionName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BigDecimalConverter

public BigDecimalConverter(String optionName)

## Method Details

### convert

public BigDecimal convert(String value)

Returns:
  an object of type <T> created from the parameter value.